Qwt User's Guide: QwtPoint3DSeriesData Class Reference

Qwt User's Guide 6.0.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes

# QwtPoint3DSeriesData Class Reference

Interface for iterating over an array of 3D points. More...

`#include <qwt_series_data.h>`

Inheritance diagram for QwtPoint3DSeriesData:
[legend]

List of all members.

## Public Member Functions
virtual QRectF | boundingRect () const
| QwtPoint3DSeriesData (const QVector< QwtPoint3D > &=QVector< QwtPoint3D >())
virtual QwtPoint3D | sample (size_t) const
const QVector< QwtPoint3D > | samples () const
virtual void | setRectOfInterest (const QRectF &)
void | setSamples (const QVector< QwtPoint3D > &)
virtual size_t | size () const
## Protected Attributes
QRectF | d_boundingRect
QVector< QwtPoint3D > | d_samples

## Detailed Description

Interface for iterating over an array of 3D points.

## Constructor & Destructor Documentation

QwtPoint3DSeriesData::QwtPoint3DSeriesData | ( | const QVector< QwtPoint3D > & | samples = `QVector<QwtPoint3D>()` | ) |

Constructor

Parameters:

  samples | Samples

## Member Function Documentation

QRectF QwtPoint3DSeriesData::boundingRect | ( |  | ) | const`[virtual]`

Calculate the bounding rect.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns:
  Bounding rectangle

Implements QwtSeriesData< QwtPoint3D >.

virtual QwtPoint3D QwtArraySeriesData< QwtPoint3D >::sample | ( | size_t | i | ) | const`[virtual, inherited]`

Return a sample

Parameters:

  i | Index

Returns:
  Sample at position i

Implements QwtSeriesData< QwtPoint3D >.

virtual size_t QwtArraySeriesData< QwtPoint3D >::size | ( |  | ) | const`[virtual, inherited]`

Returns:
  Number of samples

Implements QwtSeriesData< QwtPoint3D >.

## Member Data Documentation

QRectF QwtSeriesData< QwtPoint3D >::d_boundingRect`[mutable, protected, inherited]`

Can be used to cache a calculated bounding rectangle.

QVector<QwtPoint3D > QwtArraySeriesData< QwtPoint3D >::d_samples`[protected, inherited]`

Vector of samples.